Bug Hunting Session
Bug 81124 - FILTER: Calc crashes after setting autofilter on column with no content by using the selection dropdown list
Summary: FILTER: Calc crashes after setting autofilter on column with no content by us...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2.5.2 release
Hardware: All All
: high critical
Assignee: Caolán McNamara
URL:
Whiteboard: BSA target:4.5.0 target:4.3.7 target:...
Keywords:
Depends on:
Blocks:
 
Reported: 2014-07-09 19:07 UTC by jonathan lucas
Modified: 2015-01-25 10:20 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
dump of "fatal error" from the java vm (120.36 KB, text/x-log)
2014-07-09 19:07 UTC, jonathan lucas
Details
test ods file (11.99 KB, application/vnd.oasis.opendocument.spreadsheet)
2014-07-10 10:42 UTC, Kevin Suo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description jonathan lucas 2014-07-09 19:07:03 UTC
Created attachment 102493 [details]
dump of "fatal error" from the java vm

Problem description: 
Calc dies after applying the autofilter function by clicking on reverse selection/selction.

Steps to reproduce:
1. fill any cell with some content
2. apply the autofilter function on this cell by clicking "tools" -> "filter" -> "autofilter". 
3. click on the filter, select in the dropdown list "reverse selection" or "no selection" (buttons next to the "all" checkbox)
4. calc dies

Current behavior:
calc dies

Expected behavior:
no reaction expected

run on arch linux latest kernel and stable build of libreoffice. dump of java vm included.
              
Operating System: Linux (Other)
Version: 4.2.5.2 release
Comment 1 Kevin Suo 2014-07-10 10:28:35 UTC
No crash for me with windows XP SP3.
Comment 2 Kevin Suo 2014-07-10 10:37:31 UTC
Reproduced...
Windows XP SP3, libreoffice 4.3.0.2.

To reproduce, there should be no data below the first row. (e.g., type in A1 "test", no data below, apply autofilter, then click the "show only the current term / hide only the current term" button in the autofilter.

Set to new.
Comment 3 Kevin Suo 2014-07-10 10:42:33 UTC
Created attachment 102530 [details]
test ods file

Click the autofilter arrow in column A, then click "show only the current term / hide only the current term" buttons.
Comment 4 Commit Notification 2015-01-24 20:39:00 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3a5fa612b4afb72b5f91877a5c52e25c7604ae1a

Resolves: tdf#81124 crash on setting autofilter on column with no content

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2015-01-25 10:20:14 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e56e924d2d7b683049d2c6820e92ef14933a75ef&h=libreoffice-4-3

Resolves: tdf#81124 crash on setting autofilter on column with no content

It will be available in 4.3.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2015-01-25 10:20:38 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=62f66fabadc80c5466aeedb61b373cf1dd5e4133&h=libreoffice-4-4

Resolves: tdf#81124 crash on setting autofilter on column with no content

It will be available in 4.4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.